Simplified.ID API: v2

<back to all web services

GetPdfs

Get all PDFs
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports SimplifiedID.Api2.ServiceModel.Operations.Account
Imports SimplifiedID.Api2.ServiceModel.Operations.Base
Imports SimplifiedID.Api2.ServiceModel.Types

Namespace Global

    Namespace SimplifiedID.Api2.ServiceModel.Operations.Account

        <DataContract>
        Public Partial Class GetPdfs
            Inherits BaseRequest
            '''<Summary>
            '''The request data
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The request data")>
            Public Overridable Property Request As GetPdfsRequest
        End Class

        Public Partial Class GetPdfsData
            Inherits BaseResponse
            '''<Summary>
            '''List of Documents, but not including the file data
            '''</Summary>
            <ApiMember(Description:="List of Documents, but not including the file data")>
            Public Overridable Property Documents As ArrayOfPdfDocument
        End Class

        Public Partial Class GetPdfsRequest
            '''<Summary>
            '''If the saved documents are kept within a single Sub User account, specify their username here
            '''</Summary>
            <ApiMember(Description:="If the saved documents are kept within a single Sub User account, specify their username here")>
            Public Overridable Property SubUserName As String

            '''<Summary>
            '''If saved documents for a specific Sanctions Search Id are required, specify the Sanctions Search Id here
            '''</Summary>
            <ApiMember(Description:="If saved documents for a specific Sanctions Search Id are required, specify the Sanctions Search Id here")>
            Public Overridable Property SanctionsSearchId As Long?

            '''<Summary>
            '''If saved documents for a specific Pep Search Id are required, specify the Pep Search Id here
            '''</Summary>
            <ApiMember(Description:="If saved documents for a specific Pep Search Id are required, specify the Pep Search Id here")>
            Public Overridable Property PepSearchId As Long?

            '''<Summary>
            '''If saved documents for a specific ValidId Search Id are required, specify the ValidId Search Id here
            '''</Summary>
            <ApiMember(Description:="If saved documents for a specific ValidId Search Id are required, specify the ValidId Search Id here")>
            Public Overridable Property ValidIdSearchId As Integer?

            '''<Summary>
            '''If saved documents for a specific Company Lookup Search Id are required, specify the Company Lookup Search Id here
            '''</Summary>
            <ApiMember(Description:="If saved documents for a specific Company Lookup Search Id are required, specify the Company Lookup Search Id here")>
            Public Overridable Property CompanyLookupSearchId As Integer?
        End Class

        <DataContract>
        Public Partial Class GetPdfsResponse
            '''<Summary>
            '''The response data
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The response data")>
            Public Overridable Property Data As GetPdfsData
        End Class
    End Namespace

    Namespace SimplifiedID.Api2.ServiceModel.Operations.Base

        Public Partial Class ArrayOfResponseError
            Inherits List(Of ResponseError)
        End Class

        <DataContract>
        Public Partial Class BaseRequest
            Implements IBaseRequest
            '''<Summary>
            '''The authentication credentials
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The authentication credentials", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property Authentication As Authentication Implements IBaseRequest.Authentication
        End Class

        Public Partial Class BaseResponse
            Implements IBaseDataResponse
            Implements IHasResponseStatus
            '''<Summary>
            '''The status of the response
            '''</Summary>
            <ApiMember(Description:="The status of the response")>
            Public Overridable Property ResponseStatus As ResponseStatus Implements IHasResponseStatus.ResponseStatus
        End Class

        <DataContract>
        Public Partial Class ResponseError
            <DataMember(Order:=1)>
            Public Overridable Property ErrorCode As String

            <DataMember(Order:=2)>
            Public Overridable Property FieldName As String

            <DataMember(Order:=3)>
            Public Overridable Property Message As String

            <DataMember(Order:=4)>
            Public Overridable Property Meta As Dictionary(Of String, String)
        End Class

        <DataContract>
        Public Partial Class ResponseStatus
            <DataMember(Order:=1)>
            Public Overridable Property ErrorCode As String

            <DataMember(Order:=2)>
            Public Overridable Property Message As String

            <DataMember(Order:=3)>
            Public Overridable Property StackTrace As String

            <DataMember(Order:=4)>
            Public Overridable Property Errors As ArrayOfResponseError

            <DataMember(Order:=5)>
            Public Overridable Property Meta As Dictionary(Of String, String)
        End Class
    End Namespace

    Namespace SimplifiedID.Api2.ServiceModel.Types

        Public Partial Class ArrayOfPdfDocument
            Inherits List(Of PdfDocument)
        End Class

        <DataContract>
        Public Partial Class Authentication
            '''<Summary>
            '''The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property ApiUserId As String

            '''<Summary>
            '''The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired:=true, ParameterType:="header, body")>
            Public Overridable Property ApiUserKey As String

            '''<Summary>
            '''The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
            '''</Summary>
            <DataMember>
            <ApiMember(Description:="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType:="header, body")>
            Public Overridable Property UserId As String
        End Class

        Public Partial Class PdfDocument
            '''<Summary>
            '''The ID of the saved document
            '''</Summary>
            <ApiMember(Description:="The ID of the saved document")>
            Public Overridable Property Id As Long

            '''<Summary>
            '''Is the document ready to download
            '''</Summary>
            <ApiMember(Description:="Is the document ready to download")>
            Public Overridable Property IsReady As Boolean

            '''<Summary>
            '''The name of the saved document
            '''</Summary>
            <ApiMember(Description:="The name of the saved document")>
            Public Overridable Property Name As String

            '''<Summary>
            '''The searched name of the saved document
            '''</Summary>
            <ApiMember(Description:="The searched name of the saved document")>
            Public Overridable Property SearchedName As String

            '''<Summary>
            '''The file name (including extension) of the saved document
            '''</Summary>
            <ApiMember(Description:="The file name (including extension) of the saved document")>
            Public Overridable Property FileName As String

            '''<Summary>
            '''The type of saved document (Human readable, pep, sanctions, validid, companylookup, etc.)
            '''</Summary>
            <ApiMember(Description:="The type of saved document (Human readable, pep, sanctions, validid, companylookup, etc.)")>
            Public Overridable Property Type As String

            '''<Summary>
            '''If this document is a Saved Sanctions Search, the ID of the search it relates to
            '''</Summary>
            <ApiMember(Description:="If this document is a Saved Sanctions Search, the ID of the search it relates to")>
            Public Overridable Property SanctionsSearchId As Long?

            '''<Summary>
            '''If this document is a Saved PEP Search, the ID of the search it relates to
            '''</Summary>
            <ApiMember(Description:="If this document is a Saved PEP Search, the ID of the search it relates to")>
            Public Overridable Property PepSearchId As Long?

            '''<Summary>
            '''If this document is a Saved ValidID Search, the ID of the search it relates to
            '''</Summary>
            <ApiMember(Description:="If this document is a Saved ValidID Search, the ID of the search it relates to")>
            Public Overridable Property ValidIdSearchId As Integer?

            '''<Summary>
            '''If this document is a Saved CompanyLookup Search, the ID of the search it relates to
            '''</Summary>
            <ApiMember(Description:="If this document is a Saved CompanyLookup Search, the ID of the search it relates to")>
            Public Overridable Property CompanyLookupSearchId As Integer?

            '''<Summary>
            '''The date the saved document was created/requested
            '''</Summary>
            <ApiMember(Description:="The date the saved document was created/requested")>
            Public Overridable Property DateCreated As Date

            '''<Summary>
            '''The date the saved document will be no longer available. You can request a new document using the SaveSearch, SavePepSearch, etc. methods
            '''</Summary>
            <ApiMember(Description:="The date the saved document will be no longer available. You can request a new document using the SaveSearch, SavePepSearch, etc. methods")>
            Public Overridable Property DateExpires As Date
        End Class
    End Namespace
End Namespace

VB.NET GetPdfs DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .soap11 suffix or ?format=soap11

HTTP + SOAP11

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /soap11 HTTP/1.1 
Host: api.simplified.id 
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: GetPdfs

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetPdfs xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Authentication>
    <ApiUserId>String</ApiUserId>
    <ApiUserKey>String</ApiUserKey>
    <UserId>String</UserId>
  </Authentication>
  <Request>
    <CompanyLookupSearchId>0</CompanyLookupSearchId>
    <PepSearchId>0</PepSearchId>
    <SanctionsSearchId>0</SanctionsSearchId>
    <SubUserName>String</SubUserName>
    <ValidIdSearchId>0</ValidIdSearchId>
  </Request>
</GetPdfs>

</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetPdfsResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Data>
    <ResponseStatus>
      <ErrorCode>String</ErrorCode>
      <Message>String</Message>
      <StackTrace>String</StackTrace>
      <Errors>
        <ResponseError>
          <ErrorCode>String</ErrorCode>
          <FieldName>String</FieldName>
          <Message>String</Message>
          <Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
            <d6p1:KeyValueOfstringstring>
              <d6p1:Key>String</d6p1:Key>
              <d6p1:Value>String</d6p1:Value>
            </d6p1:KeyValueOfstringstring>
          </Meta>
        </ResponseError>
      </Errors>
      <Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>String</d4p1:Key>
          <d4p1:Value>String</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </Meta>
    </ResponseStatus>
    <Documents>
      <PdfDocument>
        <CompanyLookupSearchId>0</CompanyLookupSearchId>
        <DateCreated>0001-01-01T00:00:00</DateCreated>
        <DateExpires>0001-01-01T00:00:00</DateExpires>
        <FileName>String</FileName>
        <Id>0</Id>
        <IsReady>false</IsReady>
        <Name>String</Name>
        <PepSearchId>0</PepSearchId>
        <SanctionsSearchId>0</SanctionsSearchId>
        <SearchedName>String</SearchedName>
        <Type>String</Type>
        <ValidIdSearchId>0</ValidIdSearchId>
      </PdfDocument>
    </Documents>
  </Data>
</GetPdfsResponse>

</soap:Body>
</soap:Envelope>